Add owners
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Add a user or service principal to a Microsoft 365 or security group's owners. The owners are a set of users or service principals who are allowed to modify the group object.
Important: If you update the group owners and you created a team for the group, it can take up to 2 hours for the owners to be synchronized with Microsoft Teams. Also, if you want the owner to be able to make changes in a team - for example, by creating a Planner plan - the owner also needs to be added as a group/team member.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Group.ReadWrite.All, Directory.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Group.ReadWrite.All, Directory.ReadWrite.All |
HTTP request
POST /groups/{id}/owners/$ref
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-type | application/json. Required. |
Request body
In the request body, supply a JSON representation with the @odata.id of a user or servicePrincipal object to be added.
Response
If successful, this method returns a 204 No Content response code. It does not return anything in the response body. This method returns a 400 Bad Request response code when the object is already a member of the group. This method returns a 404 Not Found response code when the object being added doesn't exist.
Example
Request
The following is an example of the request that adds a user as a group owner.
POST https://graph.microsoft.com/beta/groups/{id}/owners/$ref
Content-type: application/json
{
"@odata.id": "https://graph.microsoft.com/beta/users/{id}"
}
In the request body, supply a JSON representation with the @odata.id of a user or servicePrincipal object to be added.
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 204 No Content
See also
Feedback
Submit and view feedback for